## wine1.3 1.3.23

=== debian/changelog ===
wine1.3 (1.3.23-0+zlt2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - add wine-dsound-avoid-sse2+-bug.patch
    - add wine.git-7673d67c1e1cfdcdf7560beea9162c3699329aa5.patch

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sat, 02 Jul 2011 22:15:00 +0400

wine1.3 (1.3.23-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * sync with ubuntu ppa
  * debian/control:
    - build-depend: gcc-4.6-multilib instead of 4.5
  * debian/rules:
    - remove 'CC=gcc-4.5' on configure
    - add to CFLAGS: '-mtune=corei7-avx -mfpmath=sse -msse3'
  * debian/patches:
    - refresh

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Fri, 01 Jul 2011 20:05:40 +0400

wine1.3 (1.3.23-0ubuntu1~ppa1~natty1) natty; urgency=low

  * New upstream release
    - Support for stubless COM proxies on x86-64.
    - Builtin dxdiag now outputs real information.
    - Monochrome bitmap format in the DIB engine.
    - Beginnings of a true shell Explorer builtin.
    - A number of new D3DX9 functions.
    - More support for Indic text shaping.
    - Various bug fixes.
  * Readd gcc-4.5-multilib build-dep
    - this branch will be natty/mav, lucid will be another

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 24 Jun 2011 17:08:15 -0700

wine1.3 (1.3.22-0ubuntu1~ppa1~lucid2) lucid; urgency=low

  * debian/control: remove version-specific gcc dependency
    - gcc-multilib is still a build-depends on amd64

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 16 Jun 2011 08:47:48 -0700

wine1.3 (1.3.22-0ubuntu1~ppa1~lucid1) lucid; urgency=low

  * Port to Lucid

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 15 Jun 2011 08:43:10 -0700

wine1.3 (1.3.22-0ubuntu1~ppa1~maverick1) maverick; urgency=low

  * Port to Maverick

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 15 Jun 2011 08:33:29 -0700

wine1.3 (1.3.22-0ubuntu1~ppa1~natty1) natty; urgency=low

  * New upstream release
    - Support for Indic text shaping.
    - Generation of stubless code in the IDL compiler.
    - Support for X files in D3DX.
    - 4- and 24-bit bitmap formats in the DIB engine.
    - Listview performance improvements.
    - Various bug fixes.

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 15 Jun 2011 08:15:44 -0700

wine1.3 (1.3.21-0ubuntu1~lucid1~ppa2) lucid; urgency=low

  * Port to Lucid (common lineage now)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 06 Jun 2011 02:02:27 -0700

wine1.3 (1.3.21-0ubuntu1~maverick1~ppa2) maverick; urgency=low

  * Port to Maverick (common lineage now)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 05 Jun 2011 23:57:55 -0700

wine1.3 (1.3.21-0ubuntu1~natty1~ppa2) natty; urgency=low

  * debian/control:
    - Build with OSSv4 support
    - build-depend on oss4-dev
    - wrap-and-sort build depends

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 01 Jun 2011 16:39:42 -0700

wine1.3 (1.3.21-0ubuntu1~natty1~ppa1) natty; urgency=low

  * New upstream release
    - Support for installation rollbacks in MSI.
    - 8- and 16-bit bitmap formats in the DIB engine.
    - Fixes in the XInput2 mouse support.
    - Better support for text shaping in Uniscribe.
    - Improvements to the Item common dialog.
    - More MSVC runtime functions.
    - Various bug fixes.
  * Create separate natty/maverick versions

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 30 May 2011 20:08:39 -0700

wine1.3 (1.3.20-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release
    - Option to clip the mouse inside fullscreen windows.
    - Support for persistent HTTP connections.
    - Initial implementation of the XML writer.
    - Support for drawing rectangles in the DIB engine.
    - Volume control in MMDevAPI.
    - More MSVC runtime functions.
    - Various bug fixes.

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 16 May 2011 16:32:46 -0700

wine1.3 (1.3.19-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * sync with ubuntu ppa
  * refresh debian/patches

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sun, 01 May 2011 15:04:26 +0400

wine1.3 (1.3.19-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release
    - New sound driver architecture for MMDevAPI.
    - Better support for relative mouse events in DInput.
    - Debugger support for the ARM platform.
    - Various improvements in D3DX9.
    - More MSVC runtime functions.
    - Various bug fixes.

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 29 Apr 2011 22:32:55 -0700

wine1.3 (1.3.18-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Support for mouse pointer clipping.
    - Raw mouse events support using XInput2.
    - First steps of a DIB engine implementation.
    - More properties supported in DXDiag.
    - New security tab in the Internet control panel.
    - Improved video playback on Mac OS X.
    - Various bug fixes.
  * debian/control:
    - xdg-utils promoted to recommends
    - wine1.3-dev conflict with wine-dev
    - build-depend on autotools-dev, debhelper 7
    - add depends: ${shlibs:Depends} to all binary packages
    - remove original maintainer as it matches maintainer
  * debian/rules:
    - use dh_prep

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 17 Apr 2011 17:13:29 -0700

wine1.3 (1.3.17-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release
    - Implementation of the new Vista file dialogs.
    - Initial support for patching in MSI installers.
    - Improvements to the calendar control.
    - A few fixes for file associations.
    - Menus cleaned up in built-in applications.
    - Various bug fixes.
  * Rebase package off Natty wine1.3
    - PPA packages will build on Maverick and binary copy to Natty
  * Recommend wine1.3-gecko >= 1.2

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 03 Apr 2011 08:39:51 -0700

wine1.3 (1.3.16-0+zlt2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches cleanup
  * update package format to 3.0 (quilt)

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Mon, 28 Mar 2011 19:47:50 +0400


