=== debian/control ===
Source: wine1.3
Section: otherosfs
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 7),
               desktop-file-utils,
               docbook-to-man,
               docbook-utils,
               docbook-xsl,
               flex,
               fontforge,
               gcc-multilib [amd64],
               gcc-4.6-multilib,
               gettext,
               ia32-libs [amd64],
               lib32asound2-dev [amd64],
               lib32ncurses5-dev [amd64],
               lib32v4l-dev [amd64],
               lib32z1-dev [amd64],
               libasound2-dev [i386],
               libaudio-dev,
               libc6-dev-i386 [amd64],
               libcapi20-dev,
               libcups2-dev,
               libesd0-dev,
               libfontconfig1-dev | libfontconfig-dev,
               libfreetype6-dev,
               libgif-dev | libungif4-dev,
               libgl1-mesa-dev | nvidia-glx-dev | fglrx-driver-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnutls-dev,
               libgphoto2-2-dev,
               libgsm1-dev,
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libhal-dev,
               libhal-storage-dev,
               libjack-dev,
               libjpeg62-dev,
               liblcms1-dev,
               libldap2-dev,
               libmpg123-dev,
               libncurses5-dev [i386] | libncurses-dev [i386],
               libopenal-dev,
               libpng12-dev,
               libsane-dev,
               libssl-dev,
               libtiff4-dev,
               libv4l-dev [i386],
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxxf86vm-dev,
               linux-kernel-headers,
               oss4-dev,
               prelink [i386 amd64],
               quilt (>= 0.46-7~),
               sharutils,
               unixodbc-dev,
               x11proto-xinerama-dev
Standards-Version: 3.9.1

Package: wine1.3
Architecture: any
Section: otherosfs
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: binfmt-support (>= 1.1.2), procps, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-bsd,
            gnome-exe-thumbnailer | kdebase-runtime,
            ttf-droid,
            ttf-liberation,
            ttf-mscorefonts-installer,
            ttf-symbol-replacement-wine1.3,
            ttf-umefont,
            ttf-unfonts-core,
            winbind,
            wine1.3-gecko,
            winetricks,
            xdg-utils
Breaks: ttf-tahoma-replacement (<< 1.3), wine (<< 1.2.1)
Conflicts: wine1.0, wine1.2
Replaces: ttf-tahoma-replacement, wine, wine1.0, wine1.2
Provides: wine
Homepage: http://www.winehq.org/
Description: Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes a program loader for running unmodified Windows
 executables as well as the Wine project's free version of the Windows API for
 running programs ported from Windows.
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine package.

Package: wine1.3-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: libc6-dev,
         wine1.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: wine-dev, wine1.0-dev, wine1.2-dev
Replaces: wine-dev, wine1.0-dev, wine1.2-dev
Provides: wine-dev
Homepage: http://www.winehq.org/
Description: Microsoft Windows Compatibility Layer (Development files)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package consists of the development files needed to compile programs
 using wine's free version of the Microsoft Windows API.
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine-dev package.

Package: ttf-symbol-replacement-wine1.3
Architecture: all
Section: fonts
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: defoma, ${misc:Depends}, ${shlibs:Depends}
Conflicts: ttf-symbol-replacement
Replaces: ttf-symbol-replacement
Provides: ttf-symbol-replacement
Homepage: http://www.winehq.org/
Description: Free font with the same metrics as Symbol
 A free font from the Wine project with exactly the same metrics as Symbol.
 This implies it can serve as a drop-in replacement.

Package: wine1.3-dbg
Architecture: any
Section: debug
Depends: wine1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Priority: extra
Homepage: http://www.winehq.org/
Description: Microsoft Windows Compatibility Layer (debugging symbols)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes debugging symbols useful for reporting crashes and other
 failures.
