=== debian/watch ===
version=3

http://sf.net/wine/wine-(.*)\.tar\.bz2
